org.hibernate.validator.internal.engine.messageinterpolation.parser

## Class Token

- java.lang.Object
- - org.hibernate.validator.internal.engine.messageinterpolation.parser.Token

-     public class Token
      extends Object

  Parsing a message descriptor results in multiple `Token`s. Each token keeps track of its token value and whether the token is a parameter which can be interpolated. Note, tokens are not centred around word delimiters, but rather around message parameter and EL expressions. For example, the message descriptor "must be between {min} and {max}" gets parsed into the tokens 'must be between ', '{min}', ' and ', '{max}', where the min and max tokens are parameters.
  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token(char tokenStart)`
    `Token(String tokenStart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(char character)`
    `String` | `getTokenValue()`
    `boolean` | `isParameter()`
    `void` | `makeELToken()`
    `void` | `makeParameterToken()`
    `void` | `terminate()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Token

          public Token(String tokenStart)

    - #### Token

          public Token(char tokenStart)

  - ### Method Detail

    - #### append

          public void append(char character)

    - #### makeParameterToken

          public void makeParameterToken()

    - #### makeELToken

          public void makeELToken()

    - #### terminate

          public void terminate()

    - #### isParameter

          public boolean isParameter()

    - #### getTokenValue

          public String getTokenValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved